Download it now!
Bug 44611 - UI: Paragraph Background Color picker behavior inconsistent
Summary: UI: Paragraph Background Color picker behavior inconsistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.5 release
Hardware: Other All
: medium normal
Assignee: Winfried Donkers
URL:
Whiteboard: color_handling target:3.6.0
Keywords: difficultyBeginner, needsDevEval, skillCpp, topicUI
Depends on:
Blocks: 45671
  Show dependency treegraph
 
Reported: 2012-01-09 22:19 UTC by Rainer Bielefeld Retired
Modified: 2015-12-15 22:42 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-01-09 22:19:09 UTC
This is a spin off of "Bug 34725 - Clikcing font color icon doesn't open menu"

Color Icons behavior is inconsistent:

"LibreOffice 3.4.5 RC2  - WIN7 Home Premium (64bit) German UI [Build ID: OOO340m1 (Build:502)]":
3.4.5-a: Font color: icons shows last used color, a click will transfer color 
         to current selection. That's ok
3.4.5-b: Font background color: icons shows last used color, a click will 
         transfer color to current selection. That's ok
3.4.5-c: Paragraph background color: 
      c1: icons shows actual paragraph background color of the current 
          selection, view of icon will hold that color other caret will be 
          in a paragraph with a different color.  
          That differs from behavior of other 2 pickers, IMHO without any good 
          reason. NOT OK
      c2: a click will open the picker, that is necessary due to c1, but 
          c1 is NOT OK
      c3: Paragraph color picker design is different to the one of other 2 
          pickers (what is more or less consequent due to c1, c2), no 
          separate "open picker arrow", but an integrated one.

Parallel Dev-Installation of  "LibreOffice 3.5.0 Beta2- WIN7 Home Premium (64bit) German UI [Build-ID : 8589e48-760cc4d-f39cf3d-1b2857e-60db978]: all the same as 3.4.5.

Design of Paragraph Background Picker should be modified so that it's the same as for other ones.

I do not know why this problem remained although "Bug 35042 - [EasyHack] previous color applied instead of latest "no fill"" has been fixed for 'font color' and 'highlighting'. 

@Christoph: what do you think?
Comment 1 sasha.libreoffice 2012-01-27 05:02:55 UTC
I just verified how "Paragraph background color" button behaves in MSOffice:
MSWord 2003 - not exist
MSWord 2007 - consist of 2 parts: button itself and small arrow for open "Coose color" menu
If press on button itself, no menu opens, and to paragraph applies currently selected color.
If press small arrow, opens "Coose color" menu, when press inside of menu selected color applies to paragraph and remembers as current for this tool
No brush for paint paragraph available.
Comment 2 Stefan Knorr (astron) 2012-02-06 01:35:25 UTC
Can confirm in 3.4.5 and 3.5 on Linux ... so setting to NEW.
Comment 3 michinine 2012-02-20 12:06:08 UTC
Does "paragraph" also applies to "table cells"? Because there is the same problem, that you can't simply apply foreground/background/fill color without
either getting the picker or the transfer bucket.

At last it could be a option if you want to preserve the "LO"-feeling.
Comment 4 Winfried Donkers 2012-02-20 23:06:03 UTC
(In reply to comment #3)
> Does "paragraph" also applies to "table cells"? Because there is the same
> problem, that you can't simply apply foreground/background/fill color without
> either getting the picker or the transfer bucket.
> 
> At last it could be a option if you want to preserve the "LO"-feeling.

bug 45671 is the meta bug. It contains links to all bugs connected to this split button functionality. If the button you want changed as well is not yet included, you are invited to enter a seperate bug for this and connect it to bug 45671 (see in this bug how that works)
Comment 5 Not Assigned 2012-02-21 06:53:34 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=836d98646203e0d9d3916571ed55d6572c2cb3dc

fdo#44611 writer: paragraph background color picker with split button
Comment 6 Robinson Tryon (qubit) 2015-12-15 22:42:00 UTC
Migrating Whiteboard tags to Keywords: (ProposedEasyHack -> needsDevEval, DifficultyBeginner SkillCpp TopicUi )
[NinjaEdit]